apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pastebin-ingress
  namespace: default
  annotations:
    kubernetes.io/ingress.class: traefik
    cert-manager.io/cluster-issuer: letsencrypt-prod-dns
spec:
  rules:
  - host: paste.priet.us
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pastebin-service  # Nombre del Service asociado a tu aplicación
            port:
              number: 80
  tls:
  - hosts:
    - paste.priet.us
    secretName: pastebin-tls

